searchNodes=[{"ref":"Membrane.Caps.Audio.Raw.html","title":"Membrane.Caps.Audio.Raw","type":"module","doc":"This module implements struct for caps representing raw audio stream with interleaved channels."},{"ref":"Membrane.Caps.Audio.Raw.html#big_endian?/1","title":"Membrane.Caps.Audio.Raw.big_endian?/1","type":"function","doc":"Determines if format is big endian. Inlined by the compiler."},{"ref":"Membrane.Caps.Audio.Raw.html#bytes_to_frames/3","title":"Membrane.Caps.Audio.Raw.bytes_to_frames/3","type":"function","doc":"Converts bytes to frames in given caps. Inlined by the compiler."},{"ref":"Membrane.Caps.Audio.Raw.html#bytes_to_time/3","title":"Membrane.Caps.Audio.Raw.bytes_to_time/3","type":"function","doc":"Converts bytes to time in Membrane.Time units in given caps. Inlined by the compiler."},{"ref":"Membrane.Caps.Audio.Raw.html#frame_size/1","title":"Membrane.Caps.Audio.Raw.frame_size/1","type":"function","doc":"Returns how many bytes are needed to store a single frame. Inlined by the compiler"},{"ref":"Membrane.Caps.Audio.Raw.html#frames_to_bytes/2","title":"Membrane.Caps.Audio.Raw.frames_to_bytes/2","type":"function","doc":"Converts frames to bytes in given caps. Inlined by the compiler."},{"ref":"Membrane.Caps.Audio.Raw.html#frames_to_time/3","title":"Membrane.Caps.Audio.Raw.frames_to_time/3","type":"function","doc":"Converts frames to time in Membrane.Time units in given caps. Inlined by the compiler."},{"ref":"Membrane.Caps.Audio.Raw.html#little_endian?/1","title":"Membrane.Caps.Audio.Raw.little_endian?/1","type":"function","doc":"Determines if format is little endian. Inlined by the compiler."},{"ref":"Membrane.Caps.Audio.Raw.html#sample_max/1","title":"Membrane.Caps.Audio.Raw.sample_max/1","type":"function","doc":"Returns maximum sample value for given format. Inlined by the compiler."},{"ref":"Membrane.Caps.Audio.Raw.html#sample_min/1","title":"Membrane.Caps.Audio.Raw.sample_min/1","type":"function","doc":"Returns minimum sample value for given format. Inlined by the compiler."},{"ref":"Membrane.Caps.Audio.Raw.html#sample_size/1","title":"Membrane.Caps.Audio.Raw.sample_size/1","type":"function","doc":"Returns how many bytes are needed to store a single sample. Inlined by the compiler"},{"ref":"Membrane.Caps.Audio.Raw.html#sample_to_value/2","title":"Membrane.Caps.Audio.Raw.sample_to_value/2","type":"function","doc":"Converts one raw sample into its numeric value, interpreting it for given format. Inlined by the compiler."},{"ref":"Membrane.Caps.Audio.Raw.html#sample_type_float?/1","title":"Membrane.Caps.Audio.Raw.sample_type_float?/1","type":"function","doc":"Determines if format is floating point. Inlined by the compiler."},{"ref":"Membrane.Caps.Audio.Raw.html#sample_type_int?/1","title":"Membrane.Caps.Audio.Raw.sample_type_int?/1","type":"function","doc":"Determines if format is integer. Inlined by the compiler."},{"ref":"Membrane.Caps.Audio.Raw.html#signed?/1","title":"Membrane.Caps.Audio.Raw.signed?/1","type":"function","doc":"Determines if format is signed. Inlined by the compiler."},{"ref":"Membrane.Caps.Audio.Raw.html#sound_of_silence/1","title":"Membrane.Caps.Audio.Raw.sound_of_silence/1","type":"function","doc":"Returns one &#39;silent&#39; sample, that is value of zero in given caps&#39; format. Inlined by the compiler."},{"ref":"Membrane.Caps.Audio.Raw.html#sound_of_silence/3","title":"Membrane.Caps.Audio.Raw.sound_of_silence/3","type":"function","doc":"Returns a binary which corresponds to the silence during the given interval of time in given caps&#39; fromat Examples: The following code generates the silence for the given caps iex&gt; alias Membrane.Caps.Audio.Raw, as: Caps iex&gt; caps = %Caps{sample_rate: 48_000, format: :s16le, channels: 2} iex&gt; silence = Caps.sound_of_silence(caps, 100 |&gt; Membrane.Time.microseconds) &lt;&lt;0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0&gt;&gt;"},{"ref":"Membrane.Caps.Audio.Raw.html#time_to_bytes/3","title":"Membrane.Caps.Audio.Raw.time_to_bytes/3","type":"function","doc":"Converts time in Membrane.Time units to bytes in given caps. Inlined by the compiler."},{"ref":"Membrane.Caps.Audio.Raw.html#time_to_frames/3","title":"Membrane.Caps.Audio.Raw.time_to_frames/3","type":"function","doc":"Converts time in Membrane.Time units to frames in given caps. Inlined by the compiler."},{"ref":"Membrane.Caps.Audio.Raw.html#unsigned?/1","title":"Membrane.Caps.Audio.Raw.unsigned?/1","type":"function","doc":"Determines if format is unsigned. Inlined by the compiler."},{"ref":"Membrane.Caps.Audio.Raw.html#value_to_sample/2","title":"Membrane.Caps.Audio.Raw.value_to_sample/2","type":"function","doc":"Converts value into one raw sample, encoding it in given format. Inlined by the compiler."},{"ref":"Membrane.Caps.Audio.Raw.html#value_to_sample_check_overflow/2","title":"Membrane.Caps.Audio.Raw.value_to_sample_check_overflow/2","type":"function","doc":"Same as value_to_sample/2, but also checks for overflow. Returns {:error, :overflow} if overflow happens. Inlined by the compiler."},{"ref":"Membrane.Caps.Audio.Raw.html#t:channels_t/0","title":"Membrane.Caps.Audio.Raw.channels_t/0","type":"type","doc":""},{"ref":"Membrane.Caps.Audio.Raw.html#t:sample_rate_t/0","title":"Membrane.Caps.Audio.Raw.sample_rate_t/0","type":"type","doc":""},{"ref":"Membrane.Caps.Audio.Raw.html#t:t/0","title":"Membrane.Caps.Audio.Raw.t/0","type":"type","doc":""},{"ref":"Membrane.Caps.Audio.Raw.Format.html","title":"Membrane.Caps.Audio.Raw.Format","type":"module","doc":"This module defines formats used in Membrane.Caps.Audio.Raw.Caps and some helpers to deal with them."},{"ref":"Membrane.Caps.Audio.Raw.Format.html#deserialize/1","title":"Membrane.Caps.Audio.Raw.Format.deserialize/1","type":"function","doc":"Converts positive integer containing serialized format to atom. expects serialized format returns format atom (See t/0)"},{"ref":"Membrane.Caps.Audio.Raw.Format.html#from_tuple/1","title":"Membrane.Caps.Audio.Raw.Format.from_tuple/1","type":"function","doc":"Converts 3-tuple format to an equivalent atom form"},{"ref":"Membrane.Caps.Audio.Raw.Format.html#serialize/1","title":"Membrane.Caps.Audio.Raw.Format.serialize/1","type":"function","doc":"converts audio format to 32-bit unsigned integer consisting of (from oldest bit): first bit for type (int/float) then bit for encoding (unsigned/signed) then bit for endianity (little/big) then sequence of zeroes last 8 bits for size (in bits) expects atom format returns format encoded as integer"},{"ref":"Membrane.Caps.Audio.Raw.Format.html#to_tuple/1","title":"Membrane.Caps.Audio.Raw.Format.to_tuple/1","type":"function","doc":"Converts format atom to an equivalent 3-tuple form"},{"ref":"Membrane.Caps.Audio.Raw.Format.html#values/0","title":"Membrane.Caps.Audio.Raw.Format.values/0","type":"function","doc":""},{"ref":"Membrane.Caps.Audio.Raw.Format.html#t:endianness_t/0","title":"Membrane.Caps.Audio.Raw.Format.endianness_t/0","type":"type","doc":""},{"ref":"Membrane.Caps.Audio.Raw.Format.html#t:sample_size_t/0","title":"Membrane.Caps.Audio.Raw.Format.sample_size_t/0","type":"type","doc":""},{"ref":"Membrane.Caps.Audio.Raw.Format.html#t:sample_type_t/0","title":"Membrane.Caps.Audio.Raw.Format.sample_type_t/0","type":"type","doc":""},{"ref":"Membrane.Caps.Audio.Raw.Format.html#t:t/0","title":"Membrane.Caps.Audio.Raw.Format.t/0","type":"type","doc":""},{"ref":"readme.html","title":"Membrane Multimedia Framework: Raw audio format definition","type":"extras","doc":"Membrane Multimedia Framework: Raw audio format definition This package provides raw audio format definition (so-called caps) for the Membrane Multimedia Framework. Beyond general data structures it contains some useful helper functions for manipulating raw audio samples."},{"ref":"readme.html#installation","title":"Membrane Multimedia Framework: Raw audio format definition - Installation","type":"extras","doc":"Unless you&#39;re developing an Membrane Element it&#39;s unlikely that you need to use this package directly in your app, as normally it is going to be fetched as a dependency of any element that operates on raw audio. However, if you are developing an Element or need to add it due to any other reason, just add the following line to your deps in the mix.exs and run mix deps.get. {:membrane_caps_audio_raw, &quot;~&gt; 0.1&quot;}"},{"ref":"readme.html#copyright-and-license","title":"Membrane Multimedia Framework: Raw audio format definition - Copyright and License","type":"extras","doc":"Copyright 2018, Software Mansion Licensed under the Apache License, Version 2.0"}]